---
updatedAt: 2025-06-12T23:58:42.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Get Conversion

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/conversions/{id}": {
      "get": {
        "summary": "Get Conversion",
        "description": "",
        "operationId": "get-conversion",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of the conversion.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"id\":\"con_2pjbyge1ln0d9z8klm\",\n   \"fromId\":\"fac_j82rl497g6k1g5ykvz\",\n   \"toId\":\"fac_rp9mnzv0pgl0ya85ox\",\n   \"sellCurrency\":\"GBP\",\n   \"buyCurrency\":\"EUR\",\n   \"sellAmount\":\"840\",\n   \"buyAmount\":\"1000\",\n   \"rate\":\"0.84000\",\n   \"reference\":\"Liquidity purchase\",\n   \"status\":\"COMPLETED\",\n   \"createdAt\":1663685590420,\n   \"updatedAt\":1663685596500\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "con_2pjbyge1ln0d9z8klm"
                    },
                    "fromId": {
                      "type": "string",
                      "example": "fac_j82rl497g6k1g5ykvz"
                    },
                    "toId": {
                      "type": "string",
                      "example": "fac_rp9mnzv0pgl0ya85ox"
                    },
                    "sellCurrency": {
                      "type": "string",
                      "example": "GBP"
                    },
                    "buyCurrency": {
                      "type": "string",
                      "example": "EUR"
                    },
                    "sellAmount": {
                      "type": "string",
                      "example": "840"
                    },
                    "buyAmount": {
                      "type": "string",
                      "example": "1000"
                    },
                    "rate": {
                      "type": "string",
                      "example": "0.84000"
                    },
                    "reference": {
                      "type": "string",
                      "example": "Liquidity purchase"
                    },
                    "status": {
                      "type": "string",
                      "example": "COMPLETED"
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1663685590420,
                      "default": 0
                    },
                    "updatedAt": {
                      "type": "integer",
                      "example": 1663685596500,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/conversions/con_2pjbyge1ln0d9z8klm \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\\n"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```